BeanProperty (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Interface BeanProperty

- All Superinterfaces:
    Named
  All Known Implementing Classes:
    BeanProperty.Std, BeanPropertyWriter, CreatorProperty, SettableBeanProperty, SettableBeanProperty.FieldProperty, SettableBeanProperty.InnerClassProperty, SettableBeanProperty.ManagedReferenceProperty, SettableBeanProperty.MethodProperty, SettableBeanProperty.SetterlessProperty, UnwrappingBeanPropertyWriter, ValueInjector

      public interface BeanProperty
      extends Named

  Bean properties are logical entities that represent data Java objects ("beans", although more accurately POJOs) contain; and that are accessed using some combination of methods (getter, setter), field and constructor parameter. Instances allow access to annotations directly associated to property (via field or method), as well as contextual annotations (annotations for class that contains properties).

  Instances are passed during construction of serializers and deserializers, and references can be stored by serializers and deserializers for futher use; mostly to retain access to annotations when dynamically locating handlers for sub-properties or dynamic types.

  Since:
    1.7

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BeanProperty.Std`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends Annotation> A` | `getAnnotation(Class<A> acls)` Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.
    `<A extends Annotation> A` | `getContextAnnotation(Class<A> acls)` Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).
    `AnnotatedMember` | `getMember()` Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.
    `String` | `getName()` Method to get logical name of the property
    `JavaType` | `getType()` Method to get declared type of the property.

- - ### Method Detail

    - #### getName

          String getName()

      Method to get logical name of the property
      Specified by:
        `getName` in interface `Named`

    - #### getType

          JavaType getType()

      Method to get declared type of the property.

    - #### getAnnotation

          <A extends Annotation> A getAnnotation(Class<A> acls)

      Method for finding annotation associated with this property; meaning annotation associated with one of entities used to access property.

    - #### getContextAnnotation

          <A extends Annotation> A getContextAnnotation(Class<A> acls)

      Method for finding annotation associated with context of this property; usually class in which member is declared (or its subtype if processing subtype).

    - #### getMember

          AnnotatedMember getMember()

      Method for accessing primary physical entity that represents the property; annotated field, method or constructor property.